'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      log = _ref.log;

  return function (err, req, res, next) {
    // eslint-disable-line no-unused-vars
    var status = err.status || err.statusCode || _httpStatus2.default.INTERNAL_SERVER_ERROR;

    if (status < _httpStatus2.default.BAD_REQUEST) {
      status = _httpStatus2.default.INTERNAL_SERVER_ERROR;
    }

    res.status(status);

    var body = {
      status
    };

    if (process.env.NODE_ENV !== 'production') {
      body.stack = err.stack;
    }

    if (status >= _httpStatus2.default.INTERNAL_SERVER_ERROR) {
      body.message = _statuses2.default[status];

      if (log) {
        log({ err, req, res });
      }
      res.json(body);

      return;
    }

    _lodash2.default.assign(body, _lodash2.default.pick(err, ['message', 'code', 'name', 'type']));

    res.json(body);
  };
};

var _httpStatus = require('http-status');

var _httpStatus2 = _interopRequireDefault(_httpStatus);

var _statuses = require('statuses');

var _statuses2 = _interopRequireDefault(_statuses);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
//# sourceMappingURL=index.js.map